package course

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type CourseActionUsersRouter struct {
}

// InitCourseActionUsersRouter 初始化 CourseActionUsers 路由信息
func (s *CourseActionUsersRouter) InitCourseActionUsersRouter(Router *gin.RouterGroup) {
	courseActionUsersRouter := Router.Group("courseActionUsers").Use(middleware.OperationRecord())
	courseActionUsersRouterWithoutRecord := Router.Group("courseActionUsers")
	var courseActionUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseActionUsersApi
	{
		courseActionUsersRouter.POST("createCourseActionUsers", courseActionUsersApi.CreateCourseActionUsers)   // 新建CourseActionUsers
		courseActionUsersRouter.DELETE("deleteCourseActionUsers", courseActionUsersApi.DeleteCourseActionUsers) // 删除CourseActionUsers
		courseActionUsersRouter.DELETE("deleteCourseActionUsersByIds", courseActionUsersApi.DeleteCourseActionUsersByIds) // 批量删除CourseActionUsers
		courseActionUsersRouter.PUT("updateCourseActionUsers", courseActionUsersApi.UpdateCourseActionUsers)    // 更新CourseActionUsers
	}
	{
		courseActionUsersRouterWithoutRecord.GET("findCourseActionUsers", courseActionUsersApi.FindCourseActionUsers)        // 根据ID获取CourseActionUsers
		courseActionUsersRouterWithoutRecord.GET("getCourseActionUsersList", courseActionUsersApi.GetCourseActionUsersList)  // 获取CourseActionUsers列表
	}
}


// InitCourseActionUsersMetaMaskRouter 初始化 CourseActionUsers 路由信息
func (s *CourseActionUsersRouter) InitCourseActionUsersMetaMaskRouter(Router *gin.RouterGroup) {
	courseActionUsersRouter := Router.Group("courseActionUsers").Use(middleware.OperationRecord())
	var courseActionUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseActionUsersApi
	{
		courseActionUsersRouter.POST("signAction", courseActionUsersApi.SignAction)   // 新建CourseActionUsers
		courseActionUsersRouter.GET("myAction", courseActionUsersApi.GetMyAction)   // 新建CourseActionUsers
		courseActionUsersRouter.POST("signActionSimple", courseActionUsersApi.WebSignActionSimple)   // 新建CourseActionUsers
	}
}

// InitCourseActionUsersPubRouter 初始化 CourseActionUsers 路由信息
func (s *CourseActionUsersRouter) InitCourseActionUsersPubRouter(Router *gin.RouterGroup) {
	courseActionUsersRouter := Router.Group("courseActionUsers")
	var courseActionUsersApi = v1.ApiGroupApp.CourseApiGroup.CourseActionUsersApi
	{
		courseActionUsersRouter.POST("signActionWeb", courseActionUsersApi.WebSignAction)   // 新建CourseActionUsers
	}
}